import java.util.*; import java.io.*;
public class Read2DStrings{
  public static void main(String args[]) throws Exception
  {
    ArrayList<ArrayList<String>> words;
    words = read2DStrings("words1.dat");
    // Cats: All    
    // your  base   
    // are   belong 
    // to    us     
    System.out.println(words);
    
    words = read2DStrings("words2.dat");
    // Do          not     try    and    bend   the     spoon. That's 
    // impossible. Instead only   try    to     realize the    truth. 
    // What        truth?  There  is     no     spoon.  There  is
    // no          spoon?  Then   you'll see    that    it     is
    // not         the     spoon  that   bends, it      is     yourself.
    System.out.println(words);
  }

  public static ArrayList<ArrayList<String>> read2DStrings(String filename)
  throws Exception
  {
    Scanner in = new Scanner(new File(filename));
    ArrayList<ArrayList<String>> rows = new ArrayList<ArrayList<String>>();
    while(in.hasNext()){
      String rowStr = in.nextLine();
      Scanner rowScan = new Scanner(rowStr);
      ArrayList<String> row = new ArrayList<String>();
      while(rowScan.hasNext()){
        String item = rowScan.next();
        row.add(item);
      }
      rows.add(row);
    }
    in.close();
    return rows;
  }
}
